<?php

namespace App\Policies;

use App\Models\AlumniMember;
use App\Models\User;
use Illuminate\Auth\Access\Response;

class AlumniMemberPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->hasAnyPermission([
            'create alumnimember', 'edit alumnimember', 'view alumnimember', 'delete alumnimember'
        ]);
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, AlumniMember $alumniMember): bool
    {
        return $user->hasPermissionTo('view alumnimember');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->hasPermissionTo('create alumnimember');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, AlumniMember $alumniMember): bool
    {
        return $user->hasPermissionTo('edit alumnimember');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, AlumniMember $alumniMember): bool
    {
        return $user->hasPermissionTo('delete alumnimember');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, AlumniMember $alumniMember): bool
    {
        return $user->hasPermissionTo('restore alumnimember');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, AlumniMember $alumniMember): bool
    {
        return $user->hasPermissionTo('force delete alumnimember');
    }
}
